export declare const STAKING_V2_ABI: readonly [{
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }, {
        readonly indexed: true;
        readonly internalType: "address";
        readonly name: "wallet";
        readonly type: "address";
    }];
    readonly name: "ConnectTradingWallet";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly internalType: "int128";
        readonly name: "vrtxDelta";
        readonly type: "int128";
    }, {
        readonly indexed: false;
        readonly internalType: "int128";
        readonly name: "liquidDelta";
        readonly type: "int128";
    }];
    readonly name: "ModifyStake";
    readonly type: "event";
}, {
    readonly inputs: readonly [];
    readonly name: "claimWithdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "wallet";
        readonly type: "address";
    }];
    readonly name: "connectTradingWallet";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getConfig";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint64";
            readonly name: "withdrawLockingTime";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint64";
            readonly name: "minimumStakingPeriod";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint128";
            readonly name: "toDistributeRatio";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "toTreasuryRatio";
            readonly type: "uint128";
        }];
        readonly internalType: "struct IStakingV2.Config";
        readonly name: "";
        readonly type: "tuple";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "getDefaultConfig";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint64";
            readonly name: "withdrawLockingTime";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint64";
            readonly name: "minimumStakingPeriod";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint128";
            readonly name: "toDistributeRatio";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "toTreasuryRatio";
            readonly type: "uint128";
        }];
        readonly internalType: "struct IStakingV2.Config";
        readonly name: "";
        readonly type: "tuple";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "getGlobalYieldsBreakdown";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint64";
            readonly name: "distributionTime";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint128";
            readonly name: "baseYieldAmount";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "feesYieldAmount";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "totalVrtxBalance";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "usdcAmount";
            readonly type: "uint128";
        }];
        readonly internalType: "struct IStakingV2.GlobalYieldsBreakdown[]";
        readonly name: "";
        readonly type: "tuple[]";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getLastActionTimes";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint64";
            readonly name: "lastStakeTime";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint64";
            readonly name: "lastWithdrawTime";
            readonly type: "uint64";
        }];
        readonly internalType: "struct IStakingV2.LastActionTimes";
        readonly name: "";
        readonly type: "tuple";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "getMigrationBonusPool";
    readonly outputs: readonly [{
        readonly internalType: "uint128";
        readonly name: "";
        readonly type: "uint128";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getReleaseSchedule";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint64";
            readonly name: "releaseTime";
            readonly type: "uint64";
        }, {
            readonly internalType: "uint128";
            readonly name: "amount";
            readonly type: "uint128";
        }];
        readonly internalType: "struct IStakingV2.ReleaseSchedule";
        readonly name: "";
        readonly type: "tuple";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getState";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint128";
            readonly name: "cumulativeStakedAmount";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "cumulativeWithdrawnAmount";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "cumulativeBurnedAmount";
            readonly type: "uint128";
        }, {
            readonly internalType: "uint128";
            readonly name: "currentStakedAmount";
            readonly type: "uint128";
        }];
        readonly internalType: "struct IStakingV2.State";
        readonly name: "";
        readonly type: "tuple";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "getTotalVrtxBalance";
    readonly outputs: readonly [{
        readonly internalType: "uint128";
        readonly name: "";
        readonly type: "uint128";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getTradingWallet";
    readonly outputs: readonly [{
        readonly internalType: "address";
        readonly name: "";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getVrtxBalance";
    readonly outputs: readonly [{
        readonly internalType: "uint128";
        readonly name: "";
        readonly type: "uint128";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "account";
        readonly type: "address";
    }];
    readonly name: "getWithdrawableTime";
    readonly outputs: readonly [{
        readonly internalType: "uint64";
        readonly name: "";
        readonly type: "uint64";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "staker";
        readonly type: "address";
    }, {
        readonly internalType: "uint128";
        readonly name: "amount";
        readonly type: "uint128";
    }, {
        readonly internalType: "uint128";
        readonly name: "bonus";
        readonly type: "uint128";
    }];
    readonly name: "migrate";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint128";
        readonly name: "amount";
        readonly type: "uint128";
    }];
    readonly name: "stake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "address";
        readonly name: "staker";
        readonly type: "address";
    }, {
        readonly internalType: "uint128";
        readonly name: "amount";
        readonly type: "uint128";
    }];
    readonly name: "stakeAs";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "withdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "withdrawSlow";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}];
//# sourceMappingURL=StakingV2.d.ts.map